#include <bits/stdc++.h>
#include "partition.h"
using namespace std;
vector<int> solve(std::vector<int> A){
    int N=(int)A.size();
    vector<pair<int, int>>v;
    vector<int> res;
    for(int i=0;i<N;i++){
        v.push_back({A[i], i});
    }
    sort(v.begin(), v.end());
    for(int i=0;i<N/2-1;i++){
        res.push_back(v[i].second);
    }
    res.push_back(v[N-1].second);
    for(int i=N/2-1;i<N-1;i++)
        res.push_back(v[i].second);
    return res;
}
